#include <cstdio>
#include <cstdlib>
#include <cassert>

const int lose = 0;
const int win = 1;

const int maxN = 100;

int n, k, a[maxN];
bool u[maxN];
int ans[maxN], al;

int gcd( int a, int b ) {
  return b ? gcd(b, a % b) : a;
}

bool isLose() {
  int t = -1;
  for (int i = 0; i < n; i++) {
    if (u[i]) {
      for (int j = 0; j < i; j++) {
        if (u[j]) {
          int q = abs(a[i] - a[j]);
          if (t == -1) {
            t = q;
          } else {
            t = gcd(t, q);
          }
        }
      }
    }
  }
  return (t != -1 && t == 1);
}

int search() {
  if (isLose()) {
    return win;
  }
  for (int i = 0; i < n; i++) {
    if (!u[i]) {
      u[i] = true;
      int res = search();
      u[i] = false;
      if (res == lose) {
        return win;
      }
    }
  }
  return lose;
}

int main() {
  assert(freopen("game.in", "r", stdin));
  assert(freopen("game.out", "w", stdout));

  assert(scanf("%d", &n) == 1);
  for (int i = 0; i < n; i++) {
    assert(scanf("%d", &a[i]) == 1);
    u[i] = false;
  }
  al = 0;
  for (int i = 0; i < n; i++) {
    u[i] = true;
    if (search() == lose) {
      ans[al++] = i;
    }
    u[i] = false;
  }
  printf("%d\n", al);
  for (int i = 0; i < al; i++) {
    printf("%d%c", a[ans[i]], " \n"[i + 1 == al]);
  }

  return 0;
}
