#include <cstdio>
#include <cassert>
#include <cstdlib>
#include <vector>
#include <map>
#include <cstring>
#include <algorithm>

using namespace std;

const int maxN = 200;
const int maxT = 100000;

int n;
vector <int> a, b, ans;
map <pair <int, int>, bool> m;
int c[2 * maxT + 2];
vector <int> f[maxN];

int gcd( int a, int b ) {
  return b ? gcd(b, a % b) : a;
}

bool solve( int d, int k ) {
//  fprintf(stderr, "solve(%d %d)\n", d, k);
  if (d == 1) {
    return true;
  }
  if (m.count(make_pair(d, k)) > 0) {
    return m[make_pair(d, k)];
  }
  bool res = false;
  int cnt = 0;
  for (int i = 0; i < (int)b.size(); i++) {
    if (d != 0 && b[i] % d == 0) {
      cnt++;
    } else {
      if (!solve(gcd(d, b[i]), k + 1)) {
        res = true;
      }
    }
  }
  if (cnt > k) {
    if (!solve(d, k + 1)) {
      res = true;
    }
  }
  return m[make_pair(d, k)] = res;
}

int main() {
  assert(freopen("game.in", "r", stdin));
  assert(freopen("game.out", "w", stdout));

  assert(scanf("%d", &n) == 1);
  a.resize(n);
  for (int i = 0; i < n; i++) {
    assert(scanf("%d", &a[i]) == 1);
  }
  for (int i = 0; i < n; i++) {
//    fprintf(stderr, "i=%d a[i]=%d\n", i, a[i]);
    b.clear();
    m.clear();
    for (int j = 0; j < n; j++) {
      if (i != j) {
        b.push_back(abs(a[j] - a[i]));
      }
    }
    memset(c, 0, sizeof(c));
    for (int j = 0; j < (int)b.size(); j++) {
      f[j].clear();
      for (int k = 1; k * k <= b[j]; k++) {
        if (b[j] % k == 0) {
          f[j].push_back(k);
          c[k]++;
          if (k * k < b[j]) {
            f[j].push_back(b[j] / k);
            c[b[j] / k]++;
          }
        }
      }
      sort(f[j].begin(), f[j].end());
    }
    if (!solve(0, 0)) {
      ans.push_back(a[i]);
    }
  }
  printf("%d\n", (int)ans.size());
  for (int i = 0; i < (int)ans.size(); i++) {
    printf("%d%c", ans[i], " \n"[i + 1 == (int)ans.size()]);
  }

  return 0;
}
