#include <cstdio>
#include <cassert>
#include <cstdlib>
#include <vector>
#include <map>

using namespace std;

const int maxN = 200;
const int maxT = 100000;

int n;
vector <int> a, b, ans;
map <pair <int, int>, bool> m;

int gcd( int a, int b ) {
  return b ? gcd(b, a % b) : a;
}

bool solve( int d, int k ) {
//  fprintf(stderr, "solve(%d %d)\n", d, k);
  if (d == 1) {
    return true;
  }
  if (m.count(make_pair(d, k)) > 0) {
    return m[make_pair(d, k)];
  }
  bool res = false;
  int cnt = 0;
  for (int i = 0; i < (int)b.size(); i++) {
    if (d != 0 && b[i] % d == 0) {
      cnt++;
    } else {
      if (!solve(gcd(d, b[i]), k + 1)) {
        res = true;
        break;
      }
    }
  }
  if (cnt > k) {
    if (!solve(d, k + 1)) {
      res = true;
    }
  }
  return m[make_pair(d, k)] = res;
}

int main() {
  assert(freopen("game.in", "r", stdin));
  assert(freopen("game.out", "w", stdout));

  assert(scanf("%d", &n) == 1);
  a.resize(n);
  for (int i = 0; i < n; i++) {
    assert(scanf("%d", &a[i]) == 1);
    assert(1 <= a[i] && a[i] <= maxT);
  }
  assert(n <= 15);
  for (int i = 0; i < n; i++) {
//    fprintf(stderr, "i=%d a[i]=%d\n", i, a[i]);
    b.clear();
    m.clear();
    for (int j = 0; j < n; j++) {
      if (i != j) {
        b.push_back(abs(a[j] - a[i]));
      }
    }
    if (!solve(0, 0)) {
      ans.push_back(a[i]);
    }
  }
  printf("%d\n", (int)ans.size());
  for (int i = 0; i < (int)ans.size(); i++) {
    printf("%d%c", ans[i], " \n"[i + 1 == (int)ans.size()]);
  }

  return 0;
}
