#!/bin/bash

nt=0
function nextTest {
  nt=$(($nt+1))
  fn=`printf %02d $nt`
  echo "Test $fn: $*"
  $* > $fn || exit 1
}

for g in rand rand2 rand_d2 rand_maxd d2; do
  g++ -O2 -Wall -o gen_$g.exe gen_$g.cpp || exit 1
done
#nextTest "cat 01.manual"
#nextTest "cat 02.manual"
nextTest "./gen_rand.exe 5 10 301703"
nextTest "./gen_rand_d2.exe 5 10 301803"
nextTest "./gen_rand2.exe 6 10 301803"
nextTest "./gen_rand.exe 7 10 301803"
nextTest "./gen_rand2.exe 8 10 301803"
nextTest "./gen_d2.exe 10 1000 301703"
nextTest "./gen_rand2.exe 10 10 301803"
nextTest "./gen_rand_d2.exe 10 1 301703"
nextTest "./gen_d2.exe 14 1 301803"
nextTest "./gen_rand.exe 15 250 301903"

nextTest "./gen_rand_d2.exe 50 150 301703"
nextTest "./gen_rand_d2.exe 50 170 301803"
nextTest "./gen_d2.exe 50 1000 301803"
nextTest "./gen_rand2.exe 59 100 302003"
nextTest "./gen_rand_d2.exe 75 150 301703"
nextTest "./gen_rand_d2.exe 180 100 301703"
nextTest "./gen_rand_d2.exe 185 100 301803"
nextTest "./gen_d2.exe 150 1000 301703"
nextTest "./gen_rand_d2.exe 200 20 301703"
nextTest "./gen_d2.exe 170 1000 301703"
nextTest "./gen_rand_maxd.exe 200 50 301703"
nextTest "./gen_rand_d2.exe 200 100 309703"
nextTest "./gen_rand_d2.exe 200 100 301103"
nextTest "./gen_rand2.exe 200 1000 301703"
nextTest "./gen_d2.exe 200 1000 301703"

rm -rf ../tests/
mkdir ../tests/ || exit 1
mv ?? ../tests/ || exit 1
